package objectdbevaluation;

import java.util.HashMap;

import javax.persistence.CascadeType;
import javax.persistence.Embeddable;
import javax.persistence.OneToOne;

@Embeddable
public class TestEmbeddableB {

    @OneToOne(cascade=CascadeType.ALL)
    private HashMap<String, Object> myMap = new HashMap<String, Object>();

    public Object getValue(String dataName) {
        return myMap.get(dataName);
    }

    public void updateValue(String dataName, Object value) {
        myMap.put(dataName, value);
    }
}
